## fdutils 5.5-20060227

=== debian/changelog ===
fdutils (5.5-20060227-8) unstable; urgency=medium

  [ Ondřej Nový <onovy@debian.org> ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Andreas Henriksson <andreas@fatal.se> ]
  * Add debian/config-ftbfs.patch (Closes: #916065)

  [ Matteo Cypriani ]
  * Bumped Standards-Version to 4.3.0 (no changes needed)
  * Bumped compat-level to debhelper 12 (with --no-parallel)
  * d/rules: hardening is now enabled
  * Added lintian-overrides files
  * d/control: secure Homepage URI
  * d/watch: fixed broken mirror, updated to version 4
  * d/README.Debian: proof-read and reformatted
  * Patches:
    + dont_strip_binaries.patch: fixed a typo in the header
    + documentation-spelling_errors.patch: a few more errors fixed
  * d/config: dropped support for fdutils 5.2

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 19 Jan 2019 15:45:30 +0100

fdutils (5.5-20060227-7) unstable; urgency=low

  * Switch to debhelper 9
  * Bump Standards-Version to 3.9.5
  * Update debian/copyright (Format, License and dates)
  * debian/control: use canonic VCS URIs
  * Patches:
    + help_messages.patch: add related bug number
    + Add remove_texi2html_dependency.patch to use makeinfo instead of
      the obsolete texi2html to generate HTML pages (fixes lintian error
      build-depends-on-obsolete-package)
    + Add floppymeter-makefile_typo.patch (fixes lintian warning
      hardening-no-relro)
    + Add documentation-faq_cleanup.patch (fixes lintian error
      privacy-breach-w3c-valid-html and warning privacy-breach-generic)

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 09 May 2014 00:24:48 -0400

fdutils (5.5-20060227-6) unstable; urgency=low

  [ Matteo Cypriani ]
  * Switch to debhelper 8.0.0~
  * Rebuild architectures' list (exclude arm*, mips* and some others).
  * Add Last-Update field to all patches.
  * Fix spelling-error-in-manpage "allows one to".
  * Add help_messages.patch, that contains several fixes related to the usage
    and help messages:
    - Do not print "Type <program> --help to get a more complete help"
      any more when invoking program with --help or -h.
    - floppymeter, floppycontrol, diskseekd, diskd: usage messages fixed
      to be consistent with the manpages.
    - superformat: print the usage short message along with the options'
      details when invoking with --help or -h (Closes: #88297).
    - fdlist, fdmount, fdumount, fdmountd: fixed usage printing when
      invoking with --help or -h.

  [ Thomas Preud'homme ]
  * Use dh-autoreconf to handle the autoreconf.
  * Comment out DH_VERBOSE and DH_OPTIONS.
  * Add dont_strip_binaries.patch: don't strip files with nostrip set in
    DEB_BUILD_OPTION (Closes: #436826).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 11 Jan 2012 14:37:17 +0100

fdutils (5.5-20060227-5) unstable; urgency=low

  * Adoption (Closes: #565466).
  * Bump Standards-Version to 3.9.2.0.
  * Switch to 3.0 (quilt) source format (follow DEP3).
  * Switch to debhelper 7.0.50~
    - Update rules to use dh.
    - Add DESTDIR support in makefiles.
    - Add debian/fdutils.manpages.
    - Add debian/clean.
    - Add debian/install.
    - Add debian/fdutils.info.
  * Convert debian/copyright to DEP5 format.
  * Add automake to Build-Depends.
  * Update Homepage in debian/control.
  * Doc spell-check (Closes: #395428, #525257).
  * Change all occurrences to the old file /etc/fdprm to /etc/mediaprm
    (Closes: #519224).
  * Fix architecture list (fdutils is Linux specific).
  * Fix lintian error info-document-missing-dir-section.
  * Fix lintian warning manpage-has-errors-from-man.
  * Fix lintian minor warning hyphen-used-as-minus-sign.
  * Delete useless debian/fdutils.lintian-overrides.
  * Update debian/dirs.
  * [fdmount] Update Linux 2.5.999 patch (becomes Linux 2.6 patch).
  * [superformat] Fix --verify_later (Closes: #331488).
  * [superformat] Document --print-drive-deviation (Closes: #331491).
  * [superformat] Document better --print-drive-deviation (Closes: #331489).
  * [MAKEFLOPPIES] Fix usage printing (Closes: #275877).
  * Media description in manpages (Closes: #282014).
  * Add Brazilian Portuguese translation for debconf (Closes: #610406).
  * Add Danish translation for debconf (Closes: #623083).

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 05 May 2011 16:09:37 +0200

fdutils (5.5-20060227-4) unstable; urgency=low

  * QA upload.
  * Maintainer set to Debian QA Group <packages@qa.debian.org>
  * Fix build-depends-on-obsolete-package
    tetex-bin replaced by texlive as build-dependency
    Closes: 562365
  * Fix out-of-date-standards-version
  * DH level compatibility is 7
  * Fix dh-clean-k-is-deprecated
  * Fix outdated-autotools-helper-file
  * Fix maintainer-script-ignores-errors
  * Fix copyright-refers-to-symlink-license
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jan 2010 10:35:39 +1100

fdutils (5.5-20060227-3) unstable; urgency=low

  [ Anibal Monsalve Salazar ]

  * Standards-Version is 3.8.0

  [ Christian Perrier ]

  * Fix pending l10n bugs. Debconf translations:
    - Swedish. Closes: #491764
    - Dutch. Closes: #501625

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Oct 2008 20:12:56 +1100

fdutils (5.5-20060227-2) unstable; urgency=low

  [ Anibal Monsalve Salazar ]

  * ACKed NMU. Closes: #402236, #408214, #412305
  * Bumped Standards-Version to 3.7.3
  * Fixed the following lintian messages:
    - fdutils source: debian-rules-ignores-make-clean-error line 39
    - fdutils source: out-of-date-standards-version 3.7.2 (current is 3.7.3)

  [ Christian Perrier ]

  * This upload fixes pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #459225
  * [Debconf translation updates]
    - Galician. Closes: #459987
    - Vietnamese. Closes: #460035

