=== debian/control ===
Source: fdutils
Section: utils
Priority: optional
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12), autoconf, automake,
  flex, texlive, texinfo, po-debconf
Homepage: https://fdutils.linux.lu/
Vcs-Git: https://salsa.debian.org/debian/fdutils.git
Vcs-Browser: https://salsa.debian.org/debian/fdutils

Package: fdutils
Architecture: alpha amd64 hppa ia64 i386 m68k powerpc powerpcspe ppc64 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends},
  dpkg (>= 1.15.4) | install-info, debianutils (>= 1.7)
Recommends: mtools (>= 3.8-1)
Replaces: miscutils, manpages (<< 1.11-3)
Description: Linux floppy utilities
 This package contains utilities for formatting extra capacity
 disks, automatic floppy disk mounting and unmounting, etc.
 .
 The package includes the following items:
 .
  - superformat: formats high capacity disks (up to 1992k
    for high density disks or up to 3984k for extra density
     disks);
  - fdmount: automatically mounts/unmounts disks when they are
    inserted/removed;
  - xdfcopy: formats, reads and writes OS/2's XDF disks;
  - MAKEFLOPPIES: creates the floppy devices in /dev;
  - getfdprm: prints the current disk geometry (number of
    sectors, track and heads etc.);
  - setfdprm: sets the current disk geometry;
  - fdrawcmd: sends raw commands to the floppy driver;
  - floppycontrol: configures the floppy driver;
  - general documentation about the floppy driver.
 .
 Note that these utilities do not work for USB floppy drives, because
 these do not allow direct access to the floppy controller.
