=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f src/Makefile ] || $(MAKE) -C src spotless

override_dh_auto_build:
	dh_auto_build -- all html

override_dh_auto_install:
	dh_auto_install
	( cd debian/fdutils && \
		mv usr/bin/MAKEFLOPPIES usr/sbin )

override_dh_installman:
	dh_installman
	( cd debian/fdutils/usr/share/man && \
		mv man1/makefloppies.1 man8/MAKEFLOPPIES.8 )
