=== debian/watch ===
version=4
opts="dversionmangle=s/-(\d*)//" \
  https://fdutils.linux.lu/download.html \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
