## fdutils 5.6

=== debian/changelog ===
fdutils (5.6-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2 (no changes needed).
  * d/copyright: Fixed old-fsf-address-in-copyright-file.
  * documentation-typos.patch: Added Origin field.
  * cross-texi-linearize.patch: Updated to AX_PROG_CC_FOR_BUILD.
  * Fixed reproducible build (Closes: #1104680).
    + Dropped documentation-reproducible_build.patch.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 10 May 2025 13:59:51 +0200

fdutils (5.6-4) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Added Romanian debconf template. (Closes: #1031883)

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 27 Feb 2023 18:45:04 +0100

fdutils (5.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).
    (Closes: #1013690)

  [ Vagrant Cascadian ]
  * d/rules: export FORCE_SOURCE_DATE=1 in order for texlive to respect
    SOURCE_DATE_EPOCH when generating .dvi file (reproducible builds).
    (Closes: #995651)

  [ Matteo Cypriani ]
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Updated d/copyright.
  * Added d/upstream/metadata.
  * Lintian overrides:
    + Added upstream-metadata-missing-repository.
    + Fixed unconditional-use-of-dpkg-statoverride (added wildcard).
    + Renamed debian-watch-does-not-check-gpg-signature to
      debian-watch-does-not-check-openpgp-signature.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 08 Feb 2023 23:50:03 +0100

fdutils (5.6-2) unstable; urgency=medium

  * Added cross-texi-linearize.patch to fix FTCBFS (Closes: #981598).
    + Build-depend on autoconf-archive.
  * Added documentation-reproducible_build.patch: prevents Fdutils.dvi from
    including the build-time date.

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 02 Feb 2021 21:08:57 +0100

fdutils (5.6-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release.
    + Updated d/copyright.
    + Tweaked d/rules to keep building & installing docs.
    + Refreshed patches.
    + Added documentation-change_makefloppies_man_section.patch to change the
      section of makefloppies' manpage (this used to be done in
      documentation-typos.patch).
    + Dropped config-ftbfs.patch.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Switch to dh-compat 13, quit using compat file.
  * d/control:
    + Added Rules-Requires-Root field.
    + Build on all Linux architectures (Closes: #941586).
  * Recoded de.po & sv.po to UTF-8.
  * d/rules:
    + Enabled verbose mode.
    + Simplified using execute_after_dh_* targets.

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 31 Jan 2021 17:07:39 +0100

fdutils (5.5-20060227-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957200)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 22 Oct 2020 22:24:54 +0100
