=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Matteo Cypriani <mcy@lm7.fr>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12), autoconf, automake,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), autoconf, autoconf-archive, automake,
   flex, texlive, texinfo, po-debconf
+Rules-Requires-Root: binary-targets
 Homepage: https://fdutils.linux.lu/
 Vcs-Git: https://salsa.debian.org/debian/fdutils.git
 Vcs-Browser: https://salsa.debian.org/debian/fdutils
 
 Package: fdutils
-Architecture: alpha amd64 hppa ia64 i386 m68k powerpc powerpcspe ppc64 sparc sparc64
-Depends: ${shlibs:Depends}, ${misc:Depends},
-  dpkg (>= 1.15.4) | install-info, debianutils (>= 1.7)
-Recommends: mtools (>= 3.8-1)
-Replaces: miscutils, manpages (<< 1.11-3)
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: mtools
+Replaces: miscutils
 Description: Linux floppy utilities
  This package contains utilities for formatting extra capacity
  disks, automatic floppy disk mounting and unmounting, etc.
