=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure pdfTeX respects SOURCE_DATE_EPOCH.
# See also:
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInDviGeneratedByLaTeX
export FORCE_SOURCE_DATE = 1

%:
	dh $@ --no-parallel

execute_after_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src spotless

override_dh_auto_build:
	dh_auto_build -- all doc html

override_dh_auto_install:
	dh_auto_install -- install install-doc
	( cd debian/fdutils && \
		mv usr/bin/MAKEFLOPPIES usr/sbin )

execute_after_dh_installman:
	( cd debian/fdutils/usr/share/man && \
		mv man1/makefloppies.1 man8/MAKEFLOPPIES.8 )
